<?php
/*******************************************************************************

    Author ......... Jimmy Conner
    Contact ........ jimmy@sqmail.org
    Home Site ...... http://www.sqmail.org/
    Program ........ Address Add
    Version ........ 2.1
    Purpose ........ Allows you to add the From address to the address book

*******************************************************************************/

      $this->GetEmail ();
      if ($this->decodedfrom == "")
         return;
      $this->ParseEmail ($this->decodedfrom);
      $this->CheckforDuplicate ();
      if ($this->duplicate == true)
         return;
      $this->GetName ();
      $this->ShowLink ();
?>